[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TFieldDataLink.OnUpdateData

OnUpdateData - event handler for updating any pending changes in the data.

## Declaration

Source position: dbctrls.pp line 99

`public property TFieldDataLink.OnUpdateData : TNotifyEvent read FOnUpdateData write FOnUpdateData;`

## Description

OnUpdateData is a TNotifyEvent property which contains the event handler signalled for changes to the data in the control.

OnUpdateData is signalled from the UpdateData method, and normally contains a reference to the UpdateData method in the data-aware control which contains the class instance. The method in the data-aware control is responsible for performing any actions needed before the field value is written to its dataset. This can include validation of the field value, and potentially raising an exception for an invalid field value.